

%define rel 2

%define pclo 2

%{?_with_pclo: %global pclo 1}
%{?_without_pclo: %global pclo 0}

%if %pclo
%define release	%mkrel %rel
%else
%define distinitials mdv
%define distversion %(rpm -qf --qf='%{VERSION}' /etc/mandrake-release)
%define disttag %{distinitials}%{distversion}
%define release %rel.%{disttag}.mde
%endif

# I don't want these stupid debug rpms
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

%define real_name Config-Record

Summary: Configuration file access
Name: perl-Config-Record
Version: 1.1.1
Release: %release
License: GPL
Group:	Development/Perl
URL: http://search.cpan.org/dist/Config-Record/
Source: http://www.cpan.org/modules/by-module/Config/Config-Record-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: perl

%description
Config::Record provides a module for loading configuration
records. It supports scalar, array and hash parameters nested
to an arbitrary depth.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall_std

### Clean up buildroot
rm -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS CHANGES README
%doc %exclude %{_mandir}/man3/*
%dir %{perl_vendorlib}/Config/
%{perl_vendorlib}/Config/Record.pm
%{perl_vendorlib}/Config/Record.pod

%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

